Loading...
Searching...
No Matches
ISMRMRD::AcquisitionHeader Class Reference
C++ API

Header for MR Acquisition type. More...

`#include <ismrmrd.h>`

Inheritance diagram for ISMRMRD::AcquisitionHeader:

## Public Member Functions

bool | operator== (const AcquisitionHeader &acq) const
bool | isFlagSet (const ISMRMRD_AcquisitionFlags val) const
void | setFlag (const ISMRMRD_AcquisitionFlags val)
void | clearFlag (const ISMRMRD_AcquisitionFlags val)
void | clearAllFlags ()
bool | isChannelActive (uint16_t channel_id) const
void | setChannelActive (uint16_t channel_id)
void | setChannelNotActive (uint16_t channel_id)
void | setAllChannelsNotActive ()

## Additional Inherited Members

Public Attributes inherited from ISMRMRD::ISMRMRD_AcquisitionHeader
uint16_t | version
uint64_t | flags
uint32_t | measurement_uid
uint32_t | scan_counter
uint32_t | acquisition_time_stamp
uint32_t | physiology_time_stamp [ISMRMRD_PHYS_STAMPS]
uint16_t | number_of_samples
uint16_t | available_channels
uint16_t | active_channels
uint64_t | channel_mask [ISMRMRD_CHANNEL_MASKS]
uint16_t | discard_pre
uint16_t | discard_post
uint16_t | center_sample
uint16_t | encoding_space_ref
uint16_t | trajectory_dimensions
float | sample_time_us
float | position [3]
float | read_dir [3]
float | phase_dir [3]
float | slice_dir [3]
float | patient_table_position [3]
ISMRMRD_EncodingCounters | idx
int32_t | user_int [ISMRMRD_USER_INTS]
float | user_float [ISMRMRD_USER_FLOATS]

## Detailed Description

Header for MR Acquisition type.

The documentation for this class was generated from the following files:

- ismrmrd.h
- ismrmrd.cpp